%ext ck6


###Load the custom maps and graphics###
%egahead EGAHEAD.CK6
%gamemaps editmaps.ck6
%maphead maphead.ck6
%patchfile $25212 keen6.tli
%patchfile $1fca7 ck6load.bin 


#Skip creature question 
%patch $1CC88 $90 $90


#Music
%patch $3103E $05 $00 $03 $00 $08 $00 $07 $00 $08 $00 $07 $00 $03 $00 $02 $00 $04 $00 $02 $00 $04 $00 $07 $00 $01 $00 $06 $00 $01 $00 $06 $00 $02 $00 $00 $00 $00 $00 

%patch $563F $03 $00 #Star wars text

%patch $E33C $0F $00 #Molly ending (Faster)


#To patch AUDIODCT.CK4:
%patchfile $36EEE "AUDIODCT.CK6"

#To patch AUDIOHED.CK4:
%patchfile $20C50 "AUDIOHED.CK6"

###Nospike###

#nospike doesn't die when falls
%patch $11035 $2460W 

#Nospike takes l16 shots 
%patch $10D35 $10 $00 

#Nospike charges instead of standing still
%patch $33190 $012FW #Facing left sprite: 257
%patch $33192 $012BW #Facing right sprite: 253
%patch $3319A $0004W #Anim speed
%patch $331AC $24F6W #Go to


#Shot Nospike, when tocuhed by Keen, does the Molly thing
%patch $1256C $02 $75 $30 $C7 $06 $AC $75 #Ceilick when hit by Keen (2, shot = 3)
              $0C $00 $5F $5E $5D $CB     #Goes to Molly
%patch $3332A $11CF086CRL #Shot Nospike uses Ceilick death
%patch $3406A $00000000RL #Ceilick laughing has no death
%patch $34088 $00000000RL #Ceilick
%patch $340A6 $00000000RL #Ceilick

%patch $340C4 $00000000RL #Ceilick
%patch $340E2 $00000000RL #Ceilick
%patch $34100 $00000000RL #Ceilick
%patch $3411E $00000000RL #Ceilick
%patch $3413C $00000000RL #Ceilick
%patch $3415A $00000000RL #Ceilick

#Note: the above patch seems to make shooting the Ceilick crash the game.


###Orbatrix###

#Orbatrix Gives Red Key on Touch
%patch $114F2 $05 $00 #Trix propp, 13

#Stop Trix balling:
%patch $1159F $04 $28

#Orb tries to keep away from Keen:
%patch $1158B $FF $FF
%patch $11586 $01 $00

%patch $33522 $0020W $0000W #Floating h\v speed 
%patch $33540 $0020W $0000W #Floating h\v speed 

#Bullets pass through the Orbatrix
#SIDE EFFECT: Doesn't stop moving when shot at

#Floating l/r
%patch $3352A $08F417EERL #Kill Keen
%patch $33548 $08F417EERL #Kill Keen

#Floating u/d
%patch $335FC $08F417EERL #Kill Keen
%patch $3361A $08F417EERL #Kill Keen
%patch $33638 $08F417EERL #Kill Keen
%patch $33656 $08F417EERL #Kill Keen


###Blooguard###

#speed
%patch $32CB8 $0080W $0000W #Walking h\v speed 1
%patch $32CD6 $0080W $0000W #Walking h\v speed 2
%patch $32CF4 $0080W $0000W #Walking h\v speed 3
%patch $32D12 $0080W $0000W #Walking h\v speed 4


###Gik###

#Gik jump (And slide):
%patch $111DE $FF $FF #Left sp
%patch $111E5 $01 $00 #Right sp
%patch $111EA $C4 $FF #Height

#Number of tiles close to Keen before Gik jumps:
%patch $111C8 $02 #Right: 2
%patch $111C2 $FD #Left: -2

#Number of tiles close to Keen before Gik jumps Original:
#%patch $111C8 $07 #Right: 7
#%patch $111C2 $F9 #Left: -7

#Gik don't attack Keen he's riding on you distance:
%patch $111D4 $01 #Right: 1
%patch $111CE $FF #Left: -1

#Make jumping Gik kill Keen:
%patch $3339E $0A13W $10CCRW



###Blorb###


#blorb speed
#Row 298  $3164
%patch $33E9E $0014W #Anim speed
%patch $33EA0 $0010W #H move
%patch $33EA2 $0015W #V move

%patch $33EBC $0014W #Anim speed
%patch $33EBE $0010W #H move
%patch $33EC0 $0020W #V move

%patch $33EDA $0014W #Anim speed
%patch $33EDC $0010W #H move
%patch $33EDE $0010W #V move

#EFFECT: Shots collide with Blorb
%patch $33EA8 $11CF0306RL #Bobba
%patch $33EC6 $11CF0306RL #Bobba
%patch $33EE4 $11CF0306RL #Bobba

###Babobba####

#Babobba doesn't nap:
%patch $1217C $2F84W #Bab nap

#Change Babobba shooting anims:
#WARNING! UNCACHED SPRITE ERROR IF BIP-BOARD NOT ALSO IN LEVEL!!!
%patch $33CD2 $01AFW #Facing left sprite: 385
%patch $33CD4 $01B0W #Facing right sprite: 386 


###Blooglet###

#Red speed:
%patch $32DC6 $0080W $0000W #Walking h\v speed 
%patch $32DE4 $0080W $0000W #Walking h\v speed 
%patch $32E02 $0080W $0000W #Walking h\v speed 
%patch $32E20 $0080W $0000W #Walking h\v speed 

#Yellow
%patch $32E5C $0080W $0000W #Walking h\v speed 
%patch $32E7A $0080W $0000W #Walking h\v speed 
%patch $32E98 $0080W $0000W #Walking h\v speed 
%patch $32EB6 $0080W $0000W #Walking h\v speed 

#Blue
%patch $32EF2 $0080W $0000W #Walking h\v speed 
%patch $32F10 $0080W $0000W #Walking h\v speed 
%patch $32F2E $0080W $0000W #Walking h\v speed 
%patch $32F4C $0080W $0000W #Walking h\v speed 

#Green
%patch $32F88 $0044W $0000W #Walking h\v speed 
%patch $32FA6 $0044W $0000W #Walking h\v speed 
%patch $32FC4 $0044W $0000W #Walking h\v speed 
%patch $32FE2 $0044W $0000W #Walking h\v speed 


###Fleex####

#Fleex strength
%patch $11D6F $02 $00

#Fleex never searches
#%patch $11D80 $24

###Flect###

#Flect kills Keen instead of pushing:
%patch $11C05 $02         #Push  [Keen]
%patch $11C0B $0AA213CARL #What to do [Kill Keen]

#Flect Speed
%patch $3391E $0060 $0000 #Walking h\v speed 
%patch $3393C $0060 $0000 #Walking h\v speed 
%patch $3395A $0060 $0000 #Walking h\v speed 
%patch $33978 $0060 $0000 #Walking h\v speed 


###Bipship####

#No bip spawned when bipship crashes
#%patch $11AAB $9090W

###Bip###

#Bip can kill Keen, is shootable to give squashed bip:
#%patch $1178C $55 $8B $EC $56 $8B $76 $08 $83 $3C $02 $75 $08 $9A $CA $13 $0AA2RW
#                  $5E $5D $CB $83 $3C $03 $75 $10 $B8 $3E $2A $50 $56 $FF $76
#              $06 $9A $22 $17 $08F4RW $83 $C4 $06 $5E $5D $CB


###Bobba###

#Give Bobba two extra shooting frames:
#381-382 shoot left, 383-384 shoot right
%patch $11F45 $3452W #When shooting, use frame 2, 2->3->1
%patch $33B10 $01ABW $01ADW  $0000W $0000W  $0000W $0028W  $0000W $0000W
              $11CF0306RL    $0306W $11CFRW $180AW $08F4RW $2D86W
%patch $34182 $01ACW $01AEW  $0000W $0000W  $0000W $0028W  $0000W $0000W
              $11CF0306RL    $0306W $11CFRW $180AW $08F4RW $3470W
%patch $341A0 $0192W $0195W  $0000W $0000W  $0000W $0028W  $0000W $0000W
              $11CF0306RL    $0306W $11CFRW $180AW $08F4RW $2DE0W



#Bullet 1:
%patch $33B38 $0008 #Anim speed


###Winng the Game (Molly)###



#Stupendous Sandwich of Chungella IV:
%patch $325B6 "A power source! I " $0A
              "should bring it to" $0A
              "the ship!" $0A $00 #might be a space too long

#Grabbiter:
%patch $3301A "       " $0A
          $22 "Don't stop now! " $0A
              "Go find the battery" $0A
              "so I... WE can  " $0A
              " get off this planet!" $22 $00

%patch $F54E  $0A $00 #Store this bitmap (35 - 6 = 29)
%patch $F57B  $0A $00 #Show this bitmap (35 - 6 = 29)

%patch $F600  $0A $00 #Store this bitmap (35 - 6 = 29)
%patch $F621  $0A $00 #Show this bitmap (35 - 6 = 29)


%patch $33071 "The Dude grabs the " $0A
              "battery from Keen.    " $0A
          $22 "Haha! Now I can leave" $0A
              "and you'll be left  " $0A
              "behind! So long  " $0A
              "sucker!" $22 "    " $00

#Grabbiter animation speed
%patch $327CA $0020W #Ravening
%patch $327EB $0090W

#Rope and grappling hook
%patch $325E7 "Wow! A lantern!" $0A
              "I should hang  " $0A
              "on to this!     " $0A $00

#Cliff:
%patch $33139 "It's too dark in " $0A
              "there! I need a  " $0A
              "lantern.           " $0A $00

#Rocket passcard
%patch $3261A "What's this? It   " $0A
              "looks like a  " $0A
              "key-card.  I should  " $0A
              "take this with me  " $0A
              "just in case!      " $0A $00

%patch $330EB "Hmm, I need some kind" $0A
              "of pass card to" $0A
              "enter.  " $0A
              "                 " $0A
              "          " $00 

%patch $30F95 "  Exit to Calidune   " $00 
%patch $312F1 "KEYS" $00 
              "AMMO" $00 
              "KEENS" $00 
              "H20  " $00

##Level Names##
#world map
%patch $1EF40 "   Calidune    " $00
%patch $1F110 "Keen wanders" $0A
              "  across Calidune " $00
#Level 1
%level.name 1 The Dusty Dunes
%patch $1F130 "Keen treads up the" $0A
              "Dusty Dunes" $0A
              "        " $00
#Level 2
%patch $1EF70 "The Arid Hills " $00
%patch $1F160 "Keen crawls down the" $0A
               "Arid Hills" $00
#Level 3
%level.name 3 Red Rock Mountain
%patch $1F190 "Keen clambers up" $0A
               "Red Rock Mountain" $00
#Level 4 name
%level.name 4 Tumbleworm Alley
%patch $1F1C0 "Keen blows through" $0A
              "Tumbleworm Alley" $00
#Level 5 name
%level.name 5 Cobrit Pit
%patch $1F1F0 "Keen dives into" $0A
              "the Cobrit Pit" $00
              "           " $00
#Level 6 name
%patch $1EFD0 "Cactus Forest" $00
%patch $1F220 "Keen squirms through" $0A
              "the Cactus Forest" $00

#Level 7 name
%patch $1EFF0 "Lava Lake" $00
%patch $1F250 "Keen crosses" $0A
              "the Lava Lake" $00
#Level 8 name
%patch $1F000 "The Molten Passage" $00
%patch $1F270 "Keen sweats through" $0A
              "the Molten Passage" $00
#Level 9 name
%patch $1F020 "Rocky Road" $00
%patch $1F2A0 "Keen trips along" $0A
              "the Rocky Road" $00
#Level 10 name
%patch $1F030 "Stalagmite Peak" $00

%patch $1F2D0 "Keen scales" $0A
              "Stalagmite Peak" $00
#Level 11 name
%patch $1F040 "The Boulder" $00

%patch $1F300 "Keen bumps into" $0A
              "The Boulder" $00
#Level 12 name
%patch $1F050 "Hydro Palace" $00

%patch $1F350 "Keen blasts into the" $0A
              "Hydro Palace" $00
#Level 13 name
%patch $1F070 "Hydro Corp 1" $00

%patch $1F380 "Keen ducks into " $0A
              "Hydro Corp 1" $00
#Level 14 name
%patch $1F090 "Hydro Factory" $00

%patch $1F3C0 "Keen searches the " $0A
              "Hydro Factory" $00
#Level 15 name
%patch $1F0B0 "Hydro Corp 2" $00

%patch $1F400 "Keen investigates" $0A
              "Hydro Corp 2" $00
#Level 16 name
%patch $1F0D0 "Devil's Cavern" $00

%patch $1F440 "Keen descends the" $0A
              "Devil's Cavern" $00
#Level 17 name
%patch $1F0E0 "Battle for the Ship" $00

%patch $1F470 "Keen battles for the ship" $00


###star wars text story###
#Patch the commander Keen 6  'star wars text' story:
%patchfile $1ED50 "STORY.ck6"

###Satelite###
#Satelite no longer appears in front of Keen
%patch $FD58  $00 $00 #Satelite on map



%end

